= Welcome to SecureCI™ =
[[TOC(heading=About SecureCI™,depth=2,AboutSecureCI/*)]]

SecureCI™ is the industry's first and only open-source continuous integration solution. By leveraging best of class 
open source products for source code control, build management, automated testing, security analysis, defect tracking, 
and project management, [http://www.coveros.com Coveros] is able to provide a turn key solution for those who wish to 
begin leveraging the benefits of continuous integration. 

SecureCI™ provides organizations with an integrated suite of open source tools that assist in the automation of the 
software build, test, and deploy process. By integrating secure code analysis and web security testing technologies, 
SecureCI™ extends continuous integration to incorporate automated security analysis and security testing of 
applications as well. 

== Project Management ==

 * [/ Trac <%= node['trac']['version'] %>]
<% if ::File.directory?("#{node['agilo']['home']}") %>
 * [/ Agilo <%= node['agilo']['version'] %>]
<% end %>
<% if ::File.directory?("#{node['sonar']['home']}") %>
 * [//sonar/ Sonar <%= node['sonar']['version'] %>]
<% end %>
<% if ::File.directory?("#{node['gitblit']['home']}") %>
 * [//gitblit/ GitBlit <%= node['gitblit']['version'] %>]
<% end %>

<% if ::File.directory?("#{node['ratproxy']['base_dir']}") || ::File.directory?("#{node['zap']['home']}") || ::File.directory?("#{node['openscap']['home']}") %>
== Security Scanning ==

<% if ::File.directory?("#{node['ratproxy']['base_dir']}") %>
 * ratproxy <%= node['ratproxy']['version'] %>
<% end %>
<% if ::File.directory?("#{node['zap']['home']}") %>
 * OWASP Zap <%= node['zap']['version'] %>
<% end %>
<% if ::File.directory?("#{node['openscap']['home']}") %>
 * OpenSCAP <%= node['openscap']['version'] %>
<% end %>

<% end %>
== Development ==

 * [/browser/ Subversion <%= node['subversion']['version'] %>]
<% if ::File.directory?("#{node['gitblit']['home']}") %>
 * [//gitblit/repositories/ Git Repositories <%= node['git']['version'] %>]
<% end %>
<% if ::File.directory?("#{node['jenkins']['home_dir']}") %>
 * [//jenkins/ Jenkins <%= node['secureci-jenkins']['version'] %>]
<% end %>
<% if ::File.directory?("#{node['secureci-ant']['home']}") %>
 * Apache Ant <%= node['secureci-ant']['version'] %>
<% end %>
<% if ::File.directory?("#{node['maven']['m2_home']}") %>
 * Apache Maven <%= node['maven']['version'] %>
<% end %>
<% if ::File.directory?("#{node['nexus']['home']}") %>
 * [//nexus/ Sonatype Nexus <%= node['nexus']['version'] %>]
<% end %>

<% if ::File.directory?("#{node['browser']['firefox']['install']}") || ::File.directory?("#{node['browser']['chrome']['install']}") %>
== Browsers ==

<% if ::File.directory?("#{node['browser']['firefox']['install']}") %>
 * Firefox <%= node['browser']['firefox']['version'] %>
<% end %>
<% if ::File.directory?("#{node['browser']['chrome']['install']}") %>
 * Chrome <%= node['browser']['chrome']['version'] %>
 * Chromedriver <%= node['browser']['chromedriver']['version'] %>
<% end %>
 * Xvfb <%= node['browser']['xvfb']['version'] %>
<% end %>
== Testing ==

<% node['tools']['testing'].each do |tool| %>
 <% if ::File.directory?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}") || ::File.exists?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}.jar") %>
 * <%= node['tools'][tool]['name'] %>  <%= node['tools'][tool]['version'] %>
 <% end %>
<% end %>

== Code analysis ==

<% node['tools']['analysis'].each do |tool| %>
 <% if ::File.directory?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}") || ::File.exists?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}.jar") %>
 * <%= node['tools'][tool]['name_friendly'] %> <%= node['tools'][tool]['version'] %>
 <% end %>
<% end %>
<% if ::File.directory?("#{node['yasca']['home']}") %>
 * Yasca <%= node['yasca']['version'] %>
<% end %>


== Supporting Tools ==

 * Apache HTTP Server <%= node['apache']['version'] %>
<% if ::File.directory?("#{node['tomcat']['install_dir']}") %>
 * Apache Tomcat <%= node['tomcat']['version'] %>
<% end %>
<% if ::File.directory?("#{node['mysql']['data_dir']}") %>
 * MySQL Server <%= node['mysql']['version_full'] %>
 * Postfix Mail Server <%= node['postfix']['mail_version'] %>
 * Python <%= node['python']['version'] %>
<% end %>
 * <%= node['java']['install_flavor'].capitalize %>'s Java Development Kit <%= node['java']['jdk_full_version'] %>
 * <%= node['platform'].capitalize %> Server Edition JeOS <%= node['platform_version'] %> LTS

[wiki:AboutSecureCI About SecureCI] explains how the tools can work together to help support your
development project.

[HowTo How do I...] explains how to use the tools and how to perform some typical tasks you might run into. 

----
''[[Image(htdocs:images/cc-80x15.png)]] Documentation for SecureCI™ by Coveros, Inc. is licensed under a [http://creativecommons.org/licenses/by/3.0/us/ Creative Commons Attribution 3.0 United States License].''

<%= node['trac']['wiki']['footer'] %>
